import * as React from 'react';

// tslint:disable-next-line:no-any
const SvgComponent = (props: any) => (
	<svg viewBox="0 0 40 40" {...props}>
		<path d="M22.71 20l1.57 1.12-3.2 3.88-1.29-1.6zm-4-2.67l-4.15-4.16a.52.52 0 0 1-.14-.22l-1-3.08-3.87-1.93-1.61 1.6 2 3.87 3.07 1a.44.44 0 0 1 .22.14l4.06 4zm6.65 12.89a3.47 3.47 0 1 0 4.88-4.84l-5-3.59-3.39 4.08zm2.28-13.06a.93.93 0 0 0 .69-.3l2.55-2.55a2.53 2.53 0 0 0 .5-2.88l-.12-.25L29.52 13a2.13 2.13 0 0 1-1.51.63 2.15 2.15 0 0 1-2.13-2.14 2.07 2.07 0 0 1 .63-1.5l1.75-1.76-.26-.17a2.6 2.6 0 0 0-1.1-.25 2.52 2.52 0 0 0-1.79.74l-2.54 2.55a1 1 0 0 0-.29.69v3a2.1 2.1 0 0 1-.75 1.62L19.78 18 8.72 27.5a2.41 2.41 0 0 0-.41 3.32 2.3 2.3 0 0 0 3.5 0L23 17.92a2.14 2.14 0 0 1 1.63-.74zM40 0v40H0V0zM23.47 19.15l.41-.48a1 1 0 0 1 .75-.34h3a2.13 2.13 0 0 0 1.51-.63l2.55-2.55a3.68 3.68 0 0 0 0-5.21.57.57 0 0 0-.41-.17.58.58 0 0 0-.41.17l-2.19 2.19a1 1 0 0 1-.7.29 1 1 0 0 1-.69-.29 1 1 0 0 1-.28-.69 1 1 0 0 1 .28-.69l2.2-2.2a.56.56 0 0 0 0-.81 3.66 3.66 0 0 0-5.21 0l-2.55 2.55a2.1 2.1 0 0 0-.64 1.5v3a1 1 0 0 1-.34.75l-1.17 1-4.13-4.16-1.02-3.08a.57.57 0 0 0-.28-.3L9.7 6.72a.65.65 0 0 0-.26-.06.57.57 0 0 0-.44.17L6.83 9a.58.58 0 0 0-.11.67L9 14.14a.59.59 0 0 0 .33.29l3.21 1.09 3.86 3.86L8 26.63A3.66 3.66 0 0 0 6.69 29a3.25 3.25 0 0 0 .73 2.58 3.43 3.43 0 0 0 2.64 1.24 3.42 3.42 0 0 0 2.63-1.22L19 24.28 24.48 31a4.6 4.6 0 0 0 3.7 1.84 4.55 4.55 0 0 0 3.26-1.36 4.64 4.64 0 0 0 1.35-3.59 4.69 4.69 0 0 0-1.85-3.39z" />
	</svg>
);

export default SvgComponent;
